PROGRAM_NAME='BMF-Test'
(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 04/05/2006  AT: 09:00:25        *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)
(*
    $History: $
*)
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

dvTP	=	10003:1:0

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

Screen_Width= 1280
Screen_Height=1024

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

integer UP_Down_Btns[]={1,2,3,4,5,6,7,8}
integer UP_Down_Txts[]={2,3,4,5}

integer Cnt[4]

Cnt_1
Cnt_2
Cnt_3
Cnt_4

(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)

DEFINE_FUNCTION Size_N_Move ()
	{
	SEND_COMMAND dvTP,"'^TXT-',ITOA(UP_Down_Txts[1]),',0,',ITOA(Cnt[1])"
	SEND_COMMAND dvTP,"'^TXT-',ITOA(UP_Down_Txts[2]),',0,',ITOA(Cnt[2])"
	SEND_COMMAND dvTP,"'^TXT-',ITOA(UP_Down_Txts[3]),',0,',ITOA(Cnt[3])"
	SEND_COMMAND dvTP,"'^TXT-',ITOA(UP_Down_Txts[4]),',0,',ITOA(Cnt[4])"
	SEND_COMMAND dvTP,"'^BMF-1,0,%R',ITOA(Cnt[1]),',',ITOA(Cnt[2]),',',ITOA(Cnt[3]),',',ITOA(Cnt[4])"
	SEND_STRING 0,"'^BMF-1,0,%R',ITOA(Cnt[1]),',',ITOA(Cnt[2]),',',ITOA(Cnt[3]),',',ITOA(Cnt[4])"
	}

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

BUTTON_EVENT[dvTP,UP_Down_Btns]
	{
	PUSH:
		{
		STACK_VAR integer CH
		CH=GET_LAST(UP_Down_Btns)
		SWITCH(CH)
			{
			CASE 1:	{IF(Cnt[CH]<Screen_Width)	Cnt[CH]=Cnt[CH]+1}
			CASE 2:	{IF(Cnt[CH-1]>0)	Cnt[CH-1]=Cnt[CH-1]-1}
			CASE 3:	{IF(Cnt[CH-1]<Screen_Height)	Cnt[CH-1]=Cnt[CH-1]+1}
			CASE 4:	{IF(Cnt[CH-2]>0)	Cnt[CH-2]=Cnt[CH-2]-1}
			CASE 5:	{IF(Cnt[CH-2]<Screen_Width)	Cnt[CH-2]=Cnt[CH-2]+1}
			CASE 6:	{IF(Cnt[CH-3]>0)	Cnt[CH-3]=Cnt[CH-3]-1}
			CASE 7:	{IF(Cnt[CH-3]<Screen_Height)	Cnt[CH-3]=Cnt[CH-3]+1}
			CASE 8:	{IF(Cnt[CH-4]>0)	Cnt[CH-4]=Cnt[CH-4]-1}
			}
		Size_N_Move()
		}
	HOLD[2,REPEAT]:
		{
		STACK_VAR integer CH
		CH=GET_LAST(UP_Down_Btns)
		SWITCH(CH)
			{
			CASE 1:	{IF(Cnt[CH]<(Screen_Width-4))	Cnt[CH]=Cnt[CH]+5}
			CASE 2:	{IF(Cnt[CH-1]>4)	Cnt[CH-1]=Cnt[CH-1]-5}
			CASE 3:	{IF(Cnt[CH-1]<(Screen_Height-4))	Cnt[CH-1]=Cnt[CH-1]+5}
			CASE 4:	{IF(Cnt[CH-2]>4)	Cnt[CH-2]=Cnt[CH-2]-5}
			CASE 5:	{IF(Cnt[CH-2]<(Screen_Width-4))	Cnt[CH-2]=Cnt[CH-2]+5}
			CASE 6:	{IF(Cnt[CH-3]>4)	Cnt[CH-3]=Cnt[CH-3]-5}
			CASE 7:	{IF(Cnt[CH-3]<(Screen_Height-4))	Cnt[CH-3]=Cnt[CH-3]+5}
			CASE 8:	{IF(Cnt[CH-4]>4)	Cnt[CH-4]=Cnt[CH-4]-5}
			}
		Size_N_Move()
		}
	}

DATA_EVENT[dvTP]
	{
	ONLINE:
		{
		WAIT 5
			{
			Cnt[1]=120
			Cnt[2]=80
			Cnt[3]=500
			Cnt[4]=300
			Size_N_Move()
			}
		}
	}

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)

